PETSc version 3.15.5
Fix/Edit manual page

# SNESSetGridSequence

sets the number of steps of grid sequencing that SNES does

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetGridSequence(SNES snes,PetscInt steps)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| steps | - the number of refinements to do, defaults to 0

### Options Database Keys

| -snes_grid_sequence <steps>

### Notes

Use SNESGetSolution() to extract the fine grid solution after grid sequencing.

### See Also

SNESSetTrustRegionTolerance(), SNESGetLagPreconditioner(), SNESSetLagJacobian(), SNESGetLagJacobian(), SNESGetGridSequence()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages